for pkg in %packages; do
spec=$pkg/%fedora-branch/$pkg.spec
if [ -f $spec ]; then
- # Check that all spec files have disabled the broken
- # "package notes" misfeature.
- if ! grep -sq "%%undefine _package_note_flags" $spec ; then
- echo "ERROR: $pkg does not %%undefine _package_note_flags" >&2
- exit 1
- fi
# Check that the spec file excludes i686.
if ! rpmspec -P $spec | grep -sq 'ExcludeArch:.*i386' ; then
echo "ERROR: $pkg does not ExcludeArch: %%{ix86}" >&2